﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="reference_lss.Default" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Test stub LSS</title>
    <script type="text/javascript" src="<%= ResolveUrl("~/Scripts/jquery-1.7.1.min.js") %>"></script>
</head>
<body>
    <script type="text/javascript">
        (function() {

            function sendError(error) {
                var nForm = document.createElement("form");
                nForm.setAttribute("id", "errorform");
                nForm.setAttribute("action", "Error.aspx");
                nForm.setAttribute("method", "post");
                var parameterField = document.createElement("input");
                parameterField.setAttribute("type", "hidden");
                parameterField.setAttribute("name", "error");
                parameterField.setAttribute("value", error);
                nForm.appendChild(parameterField);
                document.body.appendChild(nForm);
                nForm.submit();
            }
            

            function onNemIdMessage(e) {
                var jsonObject = JSON.parse(e.data);
                if (jsonObject.result) {
                    sendError('APP007');
                    return;
                }
                var parameters = jsonObject.content;

                try {
                    var o = JSON.parse(parameters);
                    if (o.result) {
                        sendError('APP008');
                        return;
                    }
                    var nForm = document.createElement("form");
                    if (o.clientflow === "login") {
                        nForm.setAttribute("action", "Login.aspx");
                    } else if (o.clientflow === "sign") {
                        nForm.setAttribute("action", "Sign.aspx");
                    } else {
                        sendError("APP008");
                        return;
                    }
                    nForm.setAttribute("method", "post");
                    var parameterField = document.createElement("input");
                    parameterField.setAttribute("type", "hidden");
                    parameterField.setAttribute("name", "parameters");
                    parameterField.setAttribute("value", parameters);
                    nForm.appendChild(parameterField);
                    document.body.appendChild(nForm);
                    nForm.submit();
                } catch(e) {
                    sendError('LSSJSN001');

                }
            }

            ;

            if (window.addEventListener) {
                window.addEventListener("message", onNemIdMessage);
            } else if (window.attachEvent) {
                window.attachEvent("onmessage", onNemIdMessage);
            }

            $(document).ready(function() {
                var postMessage = {};
                postMessage.command = "SendParameters";
                postMessage.content = "{\"api_version\":\"1.0.0.0\", \"lss_version\":\"1.0.0.1\", \"lss_id\":\"bHNzIHRlc3Qgc3R1Yg==\"}";
                parent.postMessage(JSON.stringify(postMessage), "*");
            });
        }

        )();
    </script>
</body>
</html>
